import { defineComponent, toRefs, openBlock, createElementBlock, createVNode, unref, createElementVNode } from "vue";
import _sfc_main$1 from "../../../NComponents/configCommon/refConfig.mjs";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "elect_zhu" };
const _hoisted_2 = { class: "com_wei" };
const _hoisted_3 = { class: "com_zuo" };
const _hoisted_4 = { class: "com_zhong" };
const _hoisted_5 = { class: "znum" };
const _hoisted_6 = { class: "com_you" };
const __default__ = defineComponent({ name: "EComponent04" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { valueConfig, unitConfig, titleConfig, numberConfig, dbConfig, imageConfig } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(_sfc_main$1, {
          config: unref(imageConfig),
          type: "img",
          class: "leftIcon"
        }, null, 8, ["config"]),
        createElementVNode("div", _hoisted_2, [
          createElementVNode("div", _hoisted_3, [
            createVNode(_sfc_main$1, {
              config: unref(titleConfig),
              type: "text"
            }, null, 8, ["config"])
          ]),
          createElementVNode("div", _hoisted_4, [
            createElementVNode("span", _hoisted_5, [
              createVNode(_sfc_main$1, {
                config: unref(numberConfig),
                type: "number"
              }, null, 8, ["config"])
            ]),
            createVNode(_sfc_main$1, {
              config: unref(unitConfig),
              type: "text"
            }, null, 8, ["config"])
          ]),
          createElementVNode("div", _hoisted_6, [
            createVNode(_sfc_main$1, {
              config: unref(dbConfig),
              type: "text"
            }, null, 8, ["config"]),
            createVNode(_sfc_main$1, {
              config: unref(valueConfig),
              type: "text"
            }, null, 8, ["config"])
          ])
        ])
      ]);
    };
  }
});
var _EComponent04 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-24a4b38b"]]);
export { _EComponent04 as default };
